%global srcname pyinsane2

Name:           python-%{srcname}
Version:        2.0.10
Release:        1%{?dist}
Summary:        Python library to access and use image scanners (Linux/Windows/etc)

License:        GPLv3+
URL:            https://github.com/jflesch/pyinsane
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
# https://github.com/openpaperwork/pyinsane/pull/38
Source1:        LICENSE
Source2:        ChangeLog
# https://github.com/openpaperwork/pyinsane/pull/33
Patch0001:      0001-Filter-out-examples-and-tests-from-packages-list.patch
# https://github.com/openpaperwork/pyinsane/pull/37
Patch0002:      0002-Fix-abstract-testing-with-test-device.patch
Patch0003:      0003-Avoid-collecting-get_test_devices-as-a-test.patch

BuildArch:      noarch

BuildRequires:  sane-backends
BuildRequires:  sane-backends-drivers-scanners

%global _description \
Python library to access and use image scanners (devices). Works on GNU/Linux \
(Sane), *BSD (Sane), Windows > Vista (WIA 2), MacOSX (Sane), etc.

%description %{_description}


%package -n     python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose >= 1.0
BuildRequires:  python2-pillow

Requires:       sane-backends
Requires:       python2-pillow

%description -n python2-%{srcname} %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose >= 1.0
BuildRequires:  python3-pillow

Requires:       sane-backends
Requires:       python3-pillow

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version} -p1
cp -p %SOURCE1 %SOURCE2 .

# Remove bundled egg-info
rm -rf %{srcname}.egg-info


%build
%py2_build
%py3_build


%install
%py3_install
%py2_install


%check
nosetests-3
nosetests-2


%files -n python2-%{srcname}
%doc README.md ChangeLog
%license LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%doc README.md ChangeLog examples
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Tue Dec 26 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.10-1
- Initial package.
